Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::ClusterPicture Struct Reference

the picture cluster More...

Inheritance diagram for RagTime5GraphInternal::ClusterPicture:

## Public Member Functions
| ClusterPicture ()
| constructor More...
virtual | ~ClusterPicture ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_auxilliarLink
| the first auxilliar data More...
RagTime5ClusterManager::Link | m_clusterLink
| cluster links list of size 28 More...
int | m_containerId
| the picture container id More...
MWAWVec2i | m_dimension
| the picture dimension More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

the picture cluster

## Constructor & Destructor Documentation

## ◆ ClusterPicture()

RagTime5GraphInternal::ClusterPicture::ClusterPicture | ( |  | ) |
| inline

constructor

## ◆ ~ClusterPicture()

RagTime5GraphInternal::ClusterPicture::~ClusterPicture | ( |  | ) |
| virtual

destructor

## Member Data Documentation

## ◆ m_auxilliarLink

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterPicture::m_auxilliarLink

the first auxilliar data

## ◆ m_clusterLink

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterPicture::m_clusterLink

cluster links list of size 28

## ◆ m_containerId

int RagTime5GraphInternal::ClusterPicture::m_containerId

the picture container id

Referenced by RagTime5Graph::send().

## ◆ m_dimension

MWAWVec2i RagTime5GraphInternal::ClusterPicture::m_dimension

the picture dimension

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx